# OI Change `GET` `https://api.unusualwhales.com/api/stock/{ticker}/oi-change` Returns the tickers contracts' OI change data ordered by absolute OI change (default: descending). Date must be the current or a past date. If no date is given, returns data for the current/last market day. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `limit` | Min Limit 1 | No | How many items to return. If no limit is given, returns all matching data. Min: 1. | | `page` | Page | No | Page number (use with limit). Starts on page 0. | | `order` | OrderDirection | No | Whether to sort descending or ascending. Descending by default. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `avg_price` | ToBeDone | | | `curr_date` | General ISO Date | An ISO date. | | `curr_oi` | ToBeDone | | | `last_ask` | ToBeDone | | | `last_bid` | ToBeDone | | | `last_date` | General ISO Date | An ISO date. | | `last_fill` | ToBeDone | | | `last_oi` | ToBeDone | | | `oi_change` | ToBeDone | | | `oi_diff_plain` | ToBeDone | | | `option_symbol` | Option Contract Symbol | The option symbol of the contract. You can use the following regex to extract underlying ticker, option type, expiry & strike: `^(?[\w]*)(?(\d{2})(\d{2})(\d{2}))(?[PC])(?\d{8})$` Keep in mind that the strike needs to be multiplied by 1,000. | | `percentage_of_total` | ToBeDone | | | `prev_ask_volume` | ToBeDone | | | `prev_bid_volume` | ToBeDone | | | `prev_mid_volume` | ToBeDone | | | `prev_multi_leg_volume` | ToBeDone | | | `prev_neutral_volume` | ToBeDone | | | `prev_stock_multi_leg_volume` | ToBeDone | | | `prev_total_premium` | ToBeDone | | | `rnk` | ToBeDone | | | `trades` | ToBeDone | | | `underlying_symbol` | ToBeDone | | | `volume` | ToBeDone | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/oi-change" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/oi-change", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "avg_price": "30.0543738131838322", "curr_date": "2024-01-09", "curr_oi": 35207, "last_ask": "34.00", "last_bid": "32.90", "last_date": "2024-01-08", "last_fill": "33.50", "last_oi": 2119, "oi_change": "15.6149126946672959", "oi_diff_plain": 33088, "option_symbol": "MSFT240315C00350000", "percentage_of_total": "0.08879378869021333312", "prev_ask_volume": 32861, "prev_bid_volume": 235, "prev_mid_volume": 81, "prev_multi_leg_volume": 32762, "prev_neutral_volume": 81, "prev_stock_multi_leg_volume": 0, "prev_total_premium": "99711396.00", "rnk": 74, "trades": 187, "underlying_symbol": "MSFT", "volume": 33177 }, { "avg_price": "0.16762696308382622884", "curr_date": "2024-01-09", "curr_oi": 33253, "last_ask": "0.23", "last_bid": "0.20", "last_date": "2024-01-08", "last_fill": "0.22", "last_oi": 27361, "oi_change": "0.21534300646906180330", "oi_diff_plain": 5892, "option_symbol": "MSFT240119C00400000", "percentage_of_total": "0.02624444319547373013", "prev_ask_volume": 8915, "prev_bid_volume": 860, "prev_mid_volume": 31, "prev_multi_leg_volume": 214, "prev_neutral_volume": 31, "prev_stock_multi_leg_volume": 0, "prev_total_premium": "164375.00", "rnk": 1638, "trades": 602, "underlying_symbol": "MSFT", "volume": 9806 } ] } ```